|  | Home · All Classes · Modules

# QBasicTimer Class Reference
[QtCore module]

The QBasicTimer class provides timer events for objects. More...

### Methods

- __init__ (self)
- __init__ (self, QBasicTimer)
- bool isActive (self)
- start (self, int, QObject)
- stop (self)
- int timerId (self)

## Detailed Description

The QBasicTimer class provides timer events for objects.

This is a fast, lightweight, and low-level class used by Qt internally. We recommend using the higher-level QTimer class rather than this class if you want to use timers in your applications.

To use this class, create a QBasicTimer, and call its start() function with a timeout interval and with a pointer to a QObject subclass. When the timer times out it will send a timer event to the QObject subclass. The timer can be stopped at any time using stop(). isActive() returns true for a timer that is running; i.e. it has been started, has not reached the timeout time, and has not been stopped. The timer's ID can be retrieved using timerId().

The Wiggly example uses QBasicTimer to repaint a widget at regular intervals.

See also QTimer, QTimerEvent, QObject.timerEvent(), Timers, and Wiggly Example.

## Method Documentation

### QBasicTimer.__init__ (self)

Contructs a basic timer.

See also start().

### QBasicTimer.__init__ (self, QBasicTimer)

### bool QBasicTimer.isActive (self)

Returns true if the timer is running, has not yet timed out, and has not been stopped; otherwise returns false.

See also start() and stop().

### QBasicTimer.start (self, int, QObject)

Starts (or restarts) the timer with a msec milliseconds timeout.

The given object will receive timer events.

See also stop(), isActive(), and QObject.timerEvent().

### QBasicTimer.stop (self)

Stops the timer.

See also start() and isActive().

### int QBasicTimer.timerId (self)

Returns the timer's ID.

See also QTimerEvent.timerId().